/* Copyright (C) 2018 Pietro Albini <pietroalbini@ubuntu.com>
 *
 * This program is free software: you can redistribute it and/or modify it
 * under the terms of the GNU Affero General Public License as published by the
 * Free Software Foundation, either version 3 of the License, or (at your
 * option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Affero General Public License
 * for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

function ubuntuit_alerts_init() {
    var alerts = document.querySelectorAll(".alert");
    for (var i = 0; i < alerts.length; i++) {
        var close = alerts[i].querySelector("span.close");
        if (close !== null) {
            close.addEventListener("click", function(e) {
                e.preventDefault();
                this.classList.add("closed");
            }.bind(alerts[i]))
        }
    }
}

window.addEventListener("load", ubuntuit_alerts_init);
